For the complete documentation index, see llms.txt. This page is also available as Markdown.

Code Strategies

Get all code strategies

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of user's code strategies

application/json
CodeStrategy[]Optional
get/api/v2/strategy/code
GET /api/v2/strategy/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
200

List of user's code strategies

[]

Create a new code strategy

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the strategy

Example: 12
send_signalbooleanOptional

Set true to enable signal generation

Example: true
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
symbolstringOptional

The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)

Example: BTCUSDT,ETHUSDT
codestringRequired

The JavaScript code of the strategy

Example: (()=>{ $.Strategy.action($.Action.LONG); })();
use_pricebooleanOptional

Set true if you want to use price ($.Price) in code

Example: true
exchange_idnumberOptional

The id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)

Example: 12
price_symbolstringOptional

The symbol of the price (required if use_price is true)

Example: BTCUSDT
Responses
201

Code strategy created successfully

application/json
anyOptional
post/api/v2/strategy/code
POST /api/v2/strategy/code HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 214

{
  "name": "My strategy",
  "folder_id": 12,
  "send_signal": true,
  "webhook_id": 12,
  "symbol": "BTCUSDT,ETHUSDT",
  "code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
  "use_price": true,
  "exchange_id": 12,
  "price_symbol": "BTCUSDT"
}

No content

Get code strategy by ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Code strategy details with storage

application/json
anyOptional
get/api/v2/strategy/code/{id}
GET /api/v2/strategy/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*

No content

Update code strategy

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
namestringOptional

The name of the strategy max 255 characters

Example: My strategy
folder_idnumberOptional

The folder id of the strategy

Example: 12
send_signalbooleanOptional

Set true to enable signal generation

Example: true
webhook_idnumberOptional

The id of the bot hook where signal will be sent (required if send_signal is true)

Example: 12
symbolstringOptional

The signal symbol or symbols of the strategy separated by comma (required if send_signal is true)

Example: BTCUSDT,ETHUSDT
codestringRequired

The JavaScript code of the strategy

Example: (()=>{ $.Strategy.action($.Action.LONG); })();
use_pricebooleanOptional

Set true if you want to use price ($.Price) in code

Example: true
exchange_idnumberOptional

The id of the exchange where the price is fetched (required exchange with hasExchangeRate set to true)

Example: 12
price_symbolstringOptional

The symbol of the price (required if use_price is true)

Example: BTCUSDT
Responses
200

Code strategy updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/code/{id}
PUT /api/v2/strategy/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 214

{
  "name": "My strategy",
  "folder_id": 12,
  "send_signal": true,
  "webhook_id": 12,
  "symbol": "BTCUSDT,ETHUSDT",
  "code": "(()=>{ $.Strategy.action($.Action.LONG); })();",
  "use_price": true,
  "exchange_id": 12,
  "price_symbol": "BTCUSDT"
}
{
  "message": "Success"
}

Delete code strategy

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Code strategy deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/strategy/code/{id}
DELETE /api/v2/strategy/code/{id} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Duplicate a code strategy

post
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Body
idstringRequired

Strategy ID to duplicate

Responses
201

Code strategy duplicated successfully

application/json
anyOptional
post/api/v2/strategy/code/duplicate
POST /api/v2/strategy/code/duplicate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 13

{
  "id": "text"
}

No content

Reset code strategy triggers and/or storage

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
resetTriggersbooleanRequired

Set true to reset triggers

Example: true
resetStorebooleanRequired

Set true to reset store

Example: true
Responses
200

Triggers and/or storage reset successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/code/{id}/reset
PUT /api/v2/strategy/code/{id}/reset HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 40

{
  "resetTriggers": true,
  "resetStore": true
}
{
  "message": "Success"
}

Update code strategy status

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
statusstring · enumRequiredExample: ACTIVEPossible values:
Responses
200

Status updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/code/{id}/status
PUT /api/v2/strategy/code/{id}/status HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "status": "ACTIVE"
}
{
  "message": "Success"
}

Update code strategy public visibility

put
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Body
isPublicbooleanRequired

Set true to make the strategy public

Example: true
Responses
200

Public visibility updated successfully

application/json
messagestringOptionalExample: Success
put/api/v2/strategy/code/{id}/public
PUT /api/v2/strategy/code/{id}/public HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 17

{
  "isPublic": true
}
{
  "message": "Success"
}

Delete code strategy storage

delete
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
idstringRequired
Responses
200

Storage deleted successfully

application/json
messagestringOptionalExample: Success
delete/api/v2/strategy/code/{id}/store
DELETE /api/v2/strategy/code/{id}/store HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
{
  "message": "Success"
}

Last updated